|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
PWM_HS_INTERFACE Struct Reference
MPLABX MCC Melody Code Generator » PWM HS Driver

Structure containing the function pointers of PWM driver. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/mcc_generated_files/pwm_hs/pwm_hs_interface.h>`

Collaboration diagram for PWM_HS_INTERFACE:

## Data Fields
void(* | Initialize )(void)
| Pointer to PWM_Initialize.
void(* | Deinitialize )(void)
| Pointer to PWM_Deinitialize.
void(* | Disable )(void)
| Pointer to PWM_Disable.
void(* | Enable )(void)
| Pointer to PWM_Enable.
void(* | MasterPeriodSet )(uint16_t period)
| Pointer to PWM_MasterPeriodSet.
void(* | MasterDutyCycleSet )(uint16_t masterDutyCycle)
| Pointer to PWM_MasterDutyCycleSet.
void(* | MasterPhaseSet )(uint16_t masterPhase)
| Pointer to PWM_MasterPhaseSet (Defined if PWM_GENERATOR_MASTER_PHASE_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | PeriodSet )(enum PWM_GENERATOR genNum, uint16_t period)
| Pointer to PWM_PeriodSet.
void(* | ModeSet )(enum PWM_GENERATOR genNum, enum PWM_MODES mode)
| Pointer to PWM_ModeSet.
void(* | DutyCycleSet )(enum PWM_GENERATOR genNum, uint16_t dutyCycle)
| Pointer to PWM_DutyCycleSet.
void(* | PhaseSelect )(enum PWM_GENERATOR genNum, enum PWM_SOURCE_SELECT source)
| Pointer to PWM_PhaseSelect.
void(* | PhaseSet )(enum PWM_GENERATOR genNum, uint16_t phase)
| Pointer to PWM_PhaseSet.
void(* | OverrideDataSet )(enum PWM_GENERATOR genNum, uint16_t overrideData)
| Pointer to PWM_OverrideDataSet.
void(* | OverrideDataHighSet )(enum PWM_GENERATOR genNum, bool overrideDataHigh)
| Pointer to PWM_OverrideDataHighSet.
void(* | OverrideDataLowSet )(enum PWM_GENERATOR genNum, bool overrideDataLow)
| Pointer to PWM_OverrideDataLowSet.
uint16_t(* | OverrideDataGet )(enum PWM_GENERATOR genNum)
| Pointer to PWM_OverrideDataGet.
void(* | OverrideHighEnable )(enum PWM_GENERATOR genNum)
| Pointer to PWM_OverrideHighEnable.
void(* | OverrideLowEnable )(enum PWM_GENERATOR genNum)
| Pointer to PWM_OverrideLowEnable.
void(* | OverrideHighDisable )(enum PWM_GENERATOR genNum)
| Pointer to PWM_OverrideHighDisable.
void(* | OverrideLowDisable )(enum PWM_GENERATOR genNum)
| Pointer to PWM_OverrideLowDisable.
void(* | DeadTimeLowSet )(enum PWM_GENERATOR genNum, uint16_t deadtimeLow)
| Pointer to PWM_DeadTimeLowSet.
void(* | DeadTimeHighSet )(enum PWM_GENERATOR genNum, uint16_t deadtimeHigh)
| Pointer to PWM_DeadTimeHighSet.
void(* | DeadTimeSet )(enum PWM_GENERATOR genNum, uint16_t deadtime)
| Pointer to PWM_DeadTimeSet.
void(* | TriggerCompareValueSet )(enum PWM_GENERATOR genNum, uint16_t trigCompValue)
| Pointer to PWM_TriggerCompareValueSet.
void(* | GeneratorInterruptEnable )(enum PWM_GENERATOR genNum, enum PWM_GENERATOR_INTERRUPT interrupt)
| Pointer to PWM_GeneratorInterruptEnable.
void(* | GeneratorInterruptDisable )(enum PWM_GENERATOR genNum, enum PWM_GENERATOR_INTERRUPT interrupt)
| Pointer to PWM_GeneratorInterruptDisable.
bool(* | GeneratorEventStatusGet )(enum PWM_GENERATOR genNum, enum PWM_GENERATOR_INTERRUPT interrupt)
| Pointer to PWM_GeneratorEventStatusGet.
void(* | GeneratorEventStatusClear )(enum PWM_GENERATOR genNum, enum PWM_GENERATOR_INTERRUPT interrupt)
| Pointer to PWM_GeneratorEventStatusClear.
void(* | SpecialEventPrimaryCompareValueSet )(uint16_t compareValue)
| Pointer to PWM_SpecialEventPrimaryCompareValueSet (Defined if PWM_SPECIAL_EVENT_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | SpecialEventTriggerInterruptFlagClear )(void)
| Pointer to PWM_SpecialEventTriggerInterruptFlagClear (Defined if PWM_SPECIAL_EVENT_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | SpecialEventPrimaryInterruptEnable )(void)
| Pointer to PWM_SpecialEventPrimaryInterruptEnable (Defined if PWM_SPECIAL_EVENT_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | SpecialEventPrimaryInterruptDisable )(void)
| Pointer to PWM_SpecialEventPrimaryInterruptDisable (Defined if PWM_SPECIAL_EVENT_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | FaultModeLatchDisable )(enum PWM_GENERATOR genNum)
| Pointer to PWM_FaultModeLatchDisable (Defined if PWM_FAULT_MODE_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | FaultModeLatchEnable )(enum PWM_GENERATOR genNum)
| Pointer to PWM_FaultModeLatchEnable (Defined if PWM_FAULT_MODE_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | GeneratorDisable )(enum PWM_GENERATOR genNum)
| Pointer to PWM_GeneratorDisable (Defined if PWM_GENERATOR_ENABLE_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | GeneratorEnable )(enum PWM_GENERATOR genNum)
| Pointer to PWM_GeneratorEnable (Defined if PWM_GENERATOR_ENABLE_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | TriggerACompareValueSet )(enum PWM_GENERATOR genNum, uint16_t trigCompValue)
| Pointer to PWM_TriggerACompareValueSet (Defined if PWM_MULTIPLE_TRIGGER_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | TriggerBCompareValueSet )(enum PWM_GENERATOR genNum, uint16_t trigCompValue)
| Pointer to PWM_TriggerBCompareValueSet (Defined if PWM_MULTIPLE_TRIGGER_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | TriggerCCompareValueSet )(enum PWM_GENERATOR genNum, uint16_t trigCompValue)
| Pointer to PWM_TriggerCCompareValueSet (Defined if PWM_MULTIPLE_TRIGGER_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | SoftwareUpdateRequest )(enum PWM_GENERATOR genNum)
| Pointer to PWM_SoftwareUpdateRequest (Defined if PWM_SOFTWARE_UPDATE_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
bool(* | SoftwareUpdatePending )(enum PWM_GENERATOR genNum)
| Pointer to PWM_SoftwareUpdatePending (Defined if PWM_SOFTWARE_UPDATE_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | FaultModeLatchClear )(enum PWM_GENERATOR genNum)
| Pointer to PWM_FaultModeLatchClear (Defined if PWM_FAULT_LATCH_SOFTWARE_CLEAR_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | Trigger1Enable )(enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister)
| Pointer to PWM_Trigger1Enable (Defined if PWM_TRIGGER_ENABLE_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | Trigger1Disable )(enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister)
| Pointer to PWM_Trigger1Disable (Defined if PWM_TRIGGER_ENABLE_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | Trigger2Enable )(enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister)
| Pointer to PWM_Trigger2Enable (Defined if PWM_TRIGGER_ENABLE_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | Trigger2Disable )(enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister)
| Pointer to PWM_Trigger2Disable (Defined if PWM_TRIGGER_ENABLE_FEATURE_AVAILABLE is 1 in PWM_features.h, else NULL)
void(* | GeneratorEOCEventCallbackRegister )(void(*callback)(enum PWM_GENERATOR genNum))
| Pointer to PWM_GeneratorEOCEventCallbackRegister.
void(* | CommonEventCallbackRegister )(void(*callback)(enum PWM_COMMON_EVENT event))
| Pointer to PWM_CommonEventCallbackRegister.
void(* | GeneratorTasks )(enum PWM_GENERATOR intGen)
| Pointer to PWM_GeneratorTasks (Supported only in polling mode)
void(* | CommonEventTasks )(enum PWM_COMMON_EVENT event)
| Pointer to PWM_CommonEventTasks (Supported only in polling mode)

## Detailed Description

Definition at line 56 of file pwm_hs_interface.h.

## Field Documentation

## ◆ CommonEventCallbackRegister

void(* CommonEventCallbackRegister) (void(*callback)(enum PWM_COMMON_EVENT event))

Definition at line 198 of file pwm_hs_interface.h.

## ◆ CommonEventTasks

void(* CommonEventTasks) (enum PWM_COMMON_EVENT event)

Definition at line 204 of file pwm_hs_interface.h.

## ◆ DeadTimeHighSet

void(* DeadTimeHighSet) (enum PWM_GENERATOR genNum, uint16_t deadtimeHigh)

Definition at line 120 of file pwm_hs_interface.h.

## ◆ DeadTimeLowSet

void(* DeadTimeLowSet) (enum PWM_GENERATOR genNum, uint16_t deadtimeLow)

Definition at line 117 of file pwm_hs_interface.h.

## ◆ DeadTimeSet

void(* DeadTimeSet) (enum PWM_GENERATOR genNum, uint16_t deadtime)

Definition at line 123 of file pwm_hs_interface.h.

## ◆ Deinitialize

void(* Deinitialize) (void)

Definition at line 60 of file pwm_hs_interface.h.

## ◆ Disable

void(* Disable) (void)

Definition at line 63 of file pwm_hs_interface.h.

## ◆ DutyCycleSet

void(* DutyCycleSet) (enum PWM_GENERATOR genNum, uint16_t dutyCycle)

Definition at line 84 of file pwm_hs_interface.h.

## ◆ Enable

void(* Enable) (void)

Definition at line 66 of file pwm_hs_interface.h.

## ◆ FaultModeLatchClear

void(* FaultModeLatchClear) (enum PWM_GENERATOR genNum)

Definition at line 180 of file pwm_hs_interface.h.

## ◆ FaultModeLatchDisable

void(* FaultModeLatchDisable) (enum PWM_GENERATOR genNum)

Definition at line 153 of file pwm_hs_interface.h.

## ◆ FaultModeLatchEnable

void(* FaultModeLatchEnable) (enum PWM_GENERATOR genNum)

Definition at line 156 of file pwm_hs_interface.h.

## ◆ GeneratorDisable

void(* GeneratorDisable) (enum PWM_GENERATOR genNum)

Definition at line 159 of file pwm_hs_interface.h.

## ◆ GeneratorEnable

void(* GeneratorEnable) (enum PWM_GENERATOR genNum)

Definition at line 162 of file pwm_hs_interface.h.

## ◆ GeneratorEOCEventCallbackRegister

void(* GeneratorEOCEventCallbackRegister) (void(*callback)(enum PWM_GENERATOR genNum))

Definition at line 195 of file pwm_hs_interface.h.

## ◆ GeneratorEventStatusClear

void(* GeneratorEventStatusClear) (enum PWM_GENERATOR genNum, enum PWM_GENERATOR_INTERRUPT interrupt)

Definition at line 138 of file pwm_hs_interface.h.

## ◆ GeneratorEventStatusGet

bool(* GeneratorEventStatusGet) (enum PWM_GENERATOR genNum, enum PWM_GENERATOR_INTERRUPT interrupt)

Definition at line 135 of file pwm_hs_interface.h.

## ◆ GeneratorInterruptDisable

void(* GeneratorInterruptDisable) (enum PWM_GENERATOR genNum, enum PWM_GENERATOR_INTERRUPT interrupt)

Definition at line 132 of file pwm_hs_interface.h.

## ◆ GeneratorInterruptEnable

void(* GeneratorInterruptEnable) (enum PWM_GENERATOR genNum, enum PWM_GENERATOR_INTERRUPT interrupt)

Definition at line 129 of file pwm_hs_interface.h.

## ◆ GeneratorTasks

void(* GeneratorTasks) (enum PWM_GENERATOR intGen)

Definition at line 201 of file pwm_hs_interface.h.

## ◆ Initialize

void(* Initialize) (void)

Definition at line 57 of file pwm_hs_interface.h.

## ◆ MasterDutyCycleSet

void(* MasterDutyCycleSet) (uint16_t masterDutyCycle)

Definition at line 72 of file pwm_hs_interface.h.

## ◆ MasterPeriodSet

void(* MasterPeriodSet) (uint16_t period)

Definition at line 69 of file pwm_hs_interface.h.

## ◆ MasterPhaseSet

void(* MasterPhaseSet) (uint16_t masterPhase)

Definition at line 75 of file pwm_hs_interface.h.

## ◆ ModeSet

void(* ModeSet) (enum PWM_GENERATOR genNum, enum PWM_MODES mode)

Definition at line 81 of file pwm_hs_interface.h.

## ◆ OverrideDataGet

uint16_t(* OverrideDataGet) (enum PWM_GENERATOR genNum)

Definition at line 102 of file pwm_hs_interface.h.

## ◆ OverrideDataHighSet

void(* OverrideDataHighSet) (enum PWM_GENERATOR genNum, bool overrideDataHigh)

Definition at line 96 of file pwm_hs_interface.h.

## ◆ OverrideDataLowSet

void(* OverrideDataLowSet) (enum PWM_GENERATOR genNum, bool overrideDataLow)

Definition at line 99 of file pwm_hs_interface.h.

## ◆ OverrideDataSet

void(* OverrideDataSet) (enum PWM_GENERATOR genNum, uint16_t overrideData)

Definition at line 93 of file pwm_hs_interface.h.

## ◆ OverrideHighDisable

void(* OverrideHighDisable) (enum PWM_GENERATOR genNum)

Definition at line 111 of file pwm_hs_interface.h.

## ◆ OverrideHighEnable

void(* OverrideHighEnable) (enum PWM_GENERATOR genNum)

Definition at line 105 of file pwm_hs_interface.h.

## ◆ OverrideLowDisable

void(* OverrideLowDisable) (enum PWM_GENERATOR genNum)

Definition at line 114 of file pwm_hs_interface.h.

## ◆ OverrideLowEnable

void(* OverrideLowEnable) (enum PWM_GENERATOR genNum)

Definition at line 108 of file pwm_hs_interface.h.

## ◆ PeriodSet

void(* PeriodSet) (enum PWM_GENERATOR genNum, uint16_t period)

Definition at line 78 of file pwm_hs_interface.h.

## ◆ PhaseSelect

void(* PhaseSelect) (enum PWM_GENERATOR genNum, enum PWM_SOURCE_SELECT source)

Definition at line 87 of file pwm_hs_interface.h.

## ◆ PhaseSet

void(* PhaseSet) (enum PWM_GENERATOR genNum, uint16_t phase)

Definition at line 90 of file pwm_hs_interface.h.

## ◆ SoftwareUpdatePending

bool(* SoftwareUpdatePending) (enum PWM_GENERATOR genNum)

Definition at line 177 of file pwm_hs_interface.h.

## ◆ SoftwareUpdateRequest

void(* SoftwareUpdateRequest) (enum PWM_GENERATOR genNum)

Definition at line 174 of file pwm_hs_interface.h.

## ◆ SpecialEventPrimaryCompareValueSet

void(* SpecialEventPrimaryCompareValueSet) (uint16_t compareValue)

Definition at line 141 of file pwm_hs_interface.h.

## ◆ SpecialEventPrimaryInterruptDisable

void(* SpecialEventPrimaryInterruptDisable) (void)

Definition at line 150 of file pwm_hs_interface.h.

## ◆ SpecialEventPrimaryInterruptEnable

void(* SpecialEventPrimaryInterruptEnable) (void)

Definition at line 147 of file pwm_hs_interface.h.

## ◆ SpecialEventTriggerInterruptFlagClear

void(* SpecialEventTriggerInterruptFlagClear) (void)

Definition at line 144 of file pwm_hs_interface.h.

## ◆ Trigger1Disable

void(* Trigger1Disable) (enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister)

Definition at line 186 of file pwm_hs_interface.h.

## ◆ Trigger1Enable

void(* Trigger1Enable) (enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister)

Definition at line 183 of file pwm_hs_interface.h.

## ◆ Trigger2Disable

void(* Trigger2Disable) (enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister)

Definition at line 192 of file pwm_hs_interface.h.

## ◆ Trigger2Enable

void(* Trigger2Enable) (enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister)

Definition at line 189 of file pwm_hs_interface.h.

## ◆ TriggerACompareValueSet

void(* TriggerACompareValueSet) (enum PWM_GENERATOR genNum, uint16_t trigCompValue)

Definition at line 165 of file pwm_hs_interface.h.

## ◆ TriggerBCompareValueSet

void(* TriggerBCompareValueSet) (enum PWM_GENERATOR genNum, uint16_t trigCompValue)

Definition at line 168 of file pwm_hs_interface.h.

## ◆ TriggerCCompareValueSet

void(* TriggerCCompareValueSet) (enum PWM_GENERATOR genNum, uint16_t trigCompValue)

Definition at line 171 of file pwm_hs_interface.h.

## ◆ TriggerCompareValueSet

void(* TriggerCompareValueSet) (enum PWM_GENERATOR genNum, uint16_t trigCompValue)

Definition at line 126 of file pwm_hs_interface.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/mcc_generated_files/pwm_hs/pwm_hs_interface.h